libpagemaker::PMDTextBox Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libpagemaker::PMDTextBox Class Reference

`#include <geometry.h>`

Inheritance diagram for libpagemaker::PMDTextBox:

## Public Member Functions
| PMDTextBox (const PMDShapePoint &bboxTopLeft, const PMDShapePoint &bboxBotRight, const PMDXForm &xFormContainer, const std::string text, const std::vector< PMDCharProperties > charProps, const std::vector< PMDParaProperties > paraProps)
double | getRotation () const override
double | getSkew () const override
PMDShapePoint | getXformTopLeft () const override
PMDShapePoint | getXformBotRight () const override
PMDShapePoint | getRotatingPoint () const override
PMDShapePoint | getBboxTopLeft () const override
PMDShapePoint | getBboxBotRight () const override
bool | getIsClosed () const override
std::vector< PMDShapePoint > | getPoints () const override
uint8_t | shapeType () const override
PMDFillProperties | getFillProperties () const override
PMDStrokeProperties | getStrokeProperties () const override
std::string | getText () const override
std::vector< PMDCharProperties > | getCharProperties () const override
std::vector< PMDParaProperties > | getParaProperties () const override
librevenge::RVNGBinaryData | getBitmap () const override
| ~PMDTextBox () override
Public Member Functions inherited from libpagemaker::PMDLineSet
virtual | ~PMDLineSet ()

## Private Attributes
PMDShapePoint | m_bboxTopLeft
PMDShapePoint | m_bboxBotRight
PMDXForm | m_xFormContainer
std::string | m_text
std::vector< PMDCharProperties > | m_charProps
std::vector< PMDParaProperties > | m_paraProps

## Constructor & Destructor Documentation

## ◆ PMDTextBox()

libpagemaker::PMDTextBox::PMDTextBox | ( | const PMDShapePoint & | bboxTopLeft,
|  | const PMDShapePoint & | bboxBotRight,
|  | const PMDXForm & | xFormContainer,
|  | const std::string | text,
|  | const std::vector< PMDCharProperties > | charProps,
|  | const std::vector< PMDParaProperties > | paraProps )
| inline

## ◆ ~PMDTextBox()

libpagemaker::PMDTextBox::~PMDTextBox | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getBboxBotRight()

PMDShapePoint libpagemaker::PMDTextBox::getBboxBotRight | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getBboxTopLeft()

PMDShapePoint libpagemaker::PMDTextBox::getBboxTopLeft | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getBitmap()

librevenge::RVNGBinaryData libpagemaker::PMDTextBox::getBitmap | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getCharProperties()

std::vector< PMDCharProperties > libpagemaker::PMDTextBox::getCharProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getFillProperties()

PMDFillProperties libpagemaker::PMDTextBox::getFillProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getIsClosed()

bool libpagemaker::PMDTextBox::getIsClosed | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getParaProperties()

std::vector< PMDParaProperties > libpagemaker::PMDTextBox::getParaProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getPoints()

std::vector< PMDShapePoint > libpagemaker::PMDTextBox::getPoints | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotatingPoint()

PMDShapePoint libpagemaker::PMDTextBox::getRotatingPoint | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotation()

double libpagemaker::PMDTextBox::getRotation | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getSkew()

double libpagemaker::PMDTextBox::getSkew | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getStrokeProperties()

PMDStrokeProperties libpagemaker::PMDTextBox::getStrokeProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getText()

std::string libpagemaker::PMDTextBox::getText | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformBotRight()

PMDShapePoint libpagemaker::PMDTextBox::getXformBotRight | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformTopLeft()

PMDShapePoint libpagemaker::PMDTextBox::getXformTopLeft | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ shapeType()

uint8_t libpagemaker::PMDTextBox::shapeType | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## Member Data Documentation

## ◆ m_bboxBotRight

PMDShapePoint libpagemaker::PMDTextBox::m_bboxBotRight
| private

Referenced by getBboxBotRight().

## ◆ m_bboxTopLeft

PMDShapePoint libpagemaker::PMDTextBox::m_bboxTopLeft
| private

Referenced by getBboxTopLeft(), and getPoints().

## ◆ m_charProps

std::vector<PMDCharProperties> libpagemaker::PMDTextBox::m_charProps
| private

Referenced by getCharProperties().

## ◆ m_paraProps

std::vector<PMDParaProperties> libpagemaker::PMDTextBox::m_paraProps
| private

Referenced by getParaProperties().

## ◆ m_text

std::string libpagemaker::PMDTextBox::m_text
| private

Referenced by getText().

## ◆ m_xFormContainer

PMDXForm libpagemaker::PMDTextBox::m_xFormContainer
| private

Referenced by getRotatingPoint(), getRotation(), getSkew(), getXformBotRight(), and getXformTopLeft().

The documentation for this class was generated from the following file:

- geometry.h